# what it's called on pypi
%global srcname prompt_toolkit
# what it's imported as
%global libname %{srcname}
# name of egg info directory
%global eggname %{srcname}
# package name fragment
%global pkgname prompt-toolkit

%bcond_without tests


# WARNING: Do not update this to 2.x until all dependencies are OK
# The python3 version in python-%%{pkgname} has the 2.x version
Name:           python2-%{pkgname}
Version:        1.0.15
Release:        3%{?dist}
Summary:        Library for building powerful interactive command lines in Python
License:        BSD
URL:            https://github.com/jonathanslenders/python-prompt-toolkit
Source0:        %pypi_source
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
%if %{with tests}
BuildRequires:  python2-pytest
BuildRequires:  python2-six >= 1.9.0
BuildRequires:  python2-wcwidth
%endif
Requires:       python2-six >= 1.9.0
Requires:       python2-wcwidth
# https://github.com/jonathanslenders/python-prompt-toolkit/issues/94
Recommends:     python2-pygments
# renamed from python2-prompt_toolkit
# remove this before Fedora 33
Obsoletes:      python2-prompt_toolkit < 1.0.15-3
Provides:       python2-prompt_toolkit = %{version}-%{release}
%{?python_provide:%python_provide python2-%{pkgname}}


%description
prompt_toolkit is a library for building powerful interactive command lines and
terminal applications in Python.


%prep
%autosetup -n %{srcname}-%{version}
rm -rf %{eggname}.egg-info


%build
%py2_build


%install
%py2_install


%if %{with tests}
%check
PYTHONPATH=%{buildroot}%{python2_sitelib} py.test-%{python2_version} --verbose
%endif


%files
%doc README.rst AUTHORS.rst CHANGELOG
%license LICENSE
%{python2_sitelib}/%{libname}
%{python2_sitelib}/%{eggname}-%{version}-py%{python2_version}.egg-info


%changelog
* Mon Oct 01 2018 Carl George <carl@george.computer> - 1.0.15-3
- Split off python2 subpackage from python-prompt_toolkit spec file
- Rename from prompt_toolkit to prompt-toolkit

* Fri Sep 28 2018 Carl George <carl@george.computer> - 1.0.15-2
- Revert using a common documentation directory to avoid potential update issues
- Change pygments to an optional dependency

* Thu Jul 12 2018 Carl George <carl@george.computer> - 1.0.15-1
- Latest upstream
- Use common documentation directory

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 1.0.14-6
- Rebuilt for Python 3.7

* Mon Feb 12 2018 Carl George <carl@george.computer> - 1.0.14-5
- Make requirements compatible with EPEL
- Build for Python 3 in EPEL
- Run test suite
- Remove duplicate provides

* Mon Feb 12 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.0.14-4
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon May 01 2017 Fabio Alessandro Locati <fale@fedoraproject.org> - 1.0.14-1
- Update to 1.0.14

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.0.9-2
- Rebuild for Python 3.6

* Sun Dec 11 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 1.0.9-1
- Update to 1.0.9

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri May 06 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0

* Tue Mar 29 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.60-1
- Update to 0.60

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.57-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 12 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.57-2
- Make the EL6 package provide python-prompt_toolkit too

* Sat Jan 09 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.57-1
- New upstream update

* Wed Jan 06 2016 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.54-2
- Fix quiet setup
- Fix license
- Add AUTHORS.rst, CHANGELOG & TODO.rst

* Tue Dec 29 2015 Fabio Alessandro Locati <fale@fedoraproject.org> - 0.54-1
- Initial package.
